/* GLightBox fix */
.hidden {
	display:none;
}
.gslide-image img.zoomable {
	transition-duration: 0.3s;
	transition-timing-function: ease-in-out;
	transition-property: max-width, max-height;
}
/* GLightBox icons rotate and move */
.glightbox-clean .gclose svg {
	transition: all 0.2s ease-in-out;
}
.glightbox-clean .gclose:hover svg {
	transform: rotate(90deg);
}
.gnext.gbtn:hover svg {
	animation: arrow-slide-right .9s infinite;
	animation-timing-function: ease-in-out;
}
.gnext.gbtn:hover,
.gprev.gbtn:hover {
	transform: none;
}
@keyframes arrow-slide-right {
	0%	{padding-left:0}
	50%	{padding-left:25px}
	to	{padding-left:0}
}
.gprev.gbtn:hover svg {
	animation: arrow-slide-left 0.9s infinite;
	animation-timing-function: ease-in-out;
}
@keyframes arrow-slide-left {
	0%	{padding-right:0}
	50%	{padding-right:25px}
	to	{padding-right:0}
}

/* GCounter */
.gcounter {
	padding: .5rem;
}
.gcounter::after {
	content: attr(data-indicator);
	position: absolute;
	top: .5rem;
	left: 20px;
	border-radius: 4px;
	color: #999;
	padding: 10px;
	font-family: "Public Sans", Arial, system-ui, -apple-system, sans-serif;
	z-index: 10000000;
	background-color: rgba(0,0,0,0.3);
}

/* Product Gallery */	
.vk-products-gallery {
	height: var(--vk-gallery-fullheight);
	width: var(--vk-gallery-fullwidth);
	background-color: transparent;
	font-family: Helvetica Neue, Helvetica, Arial, sans-serif;
	font-size: 14px;
	margin: 0 0 20px 0;
	padding: 0;
	float:left;
}
.vk-products-gallery .swiper-slide-transform {
	overflow:hidden;
}
.woocommerce #content div.product div.summary, .woocommerce div.product div.summary, .woocommerce-page #content div.product div.summary, .woocommerce-page div.product div.summary {
	width: calc(100% - var(--vk-gallery-fullwidth));
	padding-left:20px;
	box-sizing:border-box;
	clear:none;
}

.vk-products-gallery .swiper-slide {
	font-size: 18px;
}

.vk-prod-images {
	height: 100%;
	width: calc(var(--vk-gallery-fullwidth) - var(--vk-thumbs-width) - var(--vk-gallery-gutter));/* - var(--vk-gallery-border-width) - var(--vk-gallery-border-width)*/
	float:left;
	margin-left: var(--vk-gallery-gutter);
	background-color:#fff;
	border: var(--vk-gallery-border-width) solid #bbbbbb;
	box-sizing:border-box;
}
.vk-products-images .swiper-wrapper {
	float:none;
	transition: all 0.5s ease-in-out !important;
}
.vk-prod-images .swiper-slide > div {
	position:relative;
}
.vk-prod-images .swiper-slide a {
	height:inherit;
}

/*.vk-prod-images .swiper-navigation-icon {
height:70%;
}*/

.vk-prod-images .swiper-button-next,
.vk-prod-images .swiper-button-prev {
	background-color: var(--vk-prod-swiper-nav-bg);
	padding: 5px 8px 5px 10px;
	right:-50px;
	transition:all 0.2s ease-in-out;
	height: calc(var(--swiper-navigation-size) + 10px);
	color: var(--vk-prod-swiper-nav-color);
	opacity:0;
}
.vk-prod-images .swiper-button-prev {
	padding: 5px 10px 5px 8px;
	left:-50px;
	right:unset;
}
.vk-prod-images a:hover,
.vk-prod-images img.glightbox:hover	{
	cursor:zoom-in;
}
.vk-prod-images:hover .swiper-button-next {
	right: var(--swiper-navigation-sides-offset, 10px);
	opacity:1;
}
.vk-prod-images:hover .swiper-button-prev {
	left: var(--swiper-navigation-sides-offset, 10px);
	opacity:1;
}
.vk-prod-images:hover .swiper-button-next:hover,
.vk-prod-images:hover .swiper-button-prev:hover	{
	background-color: #00000099;
	background-color: var(--vk-prod-swiper-nav-bg-hover);
}
.vk-prod-images .swiper-slide img.image-contain {
	width: 100%;
	height: 100%;
	object-fit: contain;
}
.vk-prod-images .img-behind {
	position:absolute;
	left:0;
	right:0;
	top:0;
	bottom:0;
	z-index: -1;
	cursor:zoom-in;
}
.vk-prod-thumbs {
	height: 100%;
	width: var(--vk-thumbs-width);
	padding: 0;
	float:left;
	box-sizing:border-box;
}
.vk-prod-thumbs .swiper-slide {
	background-color: #ffffff;
	width: 100%;
	height: auto;
	opacity: 1;
	border: 1px solid #bbbbbb;
	transition:all 0.1s ease-in-out;
	box-sizing:border-box;
}
.vk-prod-thumbs .swiper-slide > div {
	width:100%;
	height:100%;
	padding:1px;
	box-sizing:border-box;
}
.vk-prod-thumbs .swiper-slide img {
	display: block;
	width: 100%;
	height: 100%;
	object-fit: contain;
	box-sizing:border-box;
}
.vk-prod-thumbs .swiper-slide > div:after {
	content:' ';
	position:absolute;
	top:-1px;
	bottom:-1px;
	left:-1px;
	right:-1px;
	border:2px solid transparent;
	z-index:2;
}
.vk-prod-thumbs {
	--swiper-navigation-size: 30px;
	--swiper-navigation-padding-h: 15px;
	--swiper-navigation-padding-v: 5px;
}

.vk-prod-thumbs.swiper-vertical .swiper-button-next,
.vk-prod-thumbs.swiper-vertical .swiper-button-prev {
	background-color: var(--vk-prod-swiper-nav-bg);
	transition:all 0.1s ease-in-out;
	margin-left: calc(0px - var(--swiper-navigation-size) / 2 - var(--swiper-navigation-padding-h));
	padding: var(--swiper-navigation-padding-v) var(--swiper-navigation-padding-h);
}
.vk-prod-thumbs.swiper-vertical .swiper-button-next {
	bottom:-50px;
}
.vk-prod-thumbs.swiper-vertical .swiper-button-prev {
	top:-50px;
}

.vk-prod-thumbs.swiper-vertical:hover .swiper-button-next {
	bottom:10px;
}
.vk-prod-thumbs.swiper-vertical:hover .swiper-button-prev {
	/*--swiper-navigation-sides-offset: 0;*/
	top:10px;
}

.vk-prod-thumbs.swiper-vertical:hover .swiper-button-next.swiper-button-disabled,
.vk-prod-thumbs.swiper-vertical:hover .swiper-button-prev.swiper-button-disabled {
	background-color:#9797977a;
}
.vk-prod-thumbs.swiper-vertical:hover .swiper-button-next:hover,
.vk-prod-thumbs.swiper-vertical:hover .swiper-button-prev:hover {
	background-color:var(--vk-prod-swiper-nav-bg-hover);
}


.vk-prod-thumbs .swiper-slide.swiper-slide-thumb-active {
	border-color: transparent;
}
.vk-prod-thumbs .swiper-slide.swiper-slide-thumb-active > div:after {
	border:2px solid #9f606b;
}

.vk-prod-thumbs .swiper-slide:not(.swiper-slide-thumb-active):hover {
	border-color: #dd5f5f;
}

/*
.vk-prod-thumbs.swiper-vertical .swiper-button-next,
.vk-prod-thumbs.swiper-vertical .swiper-button-prev {
left: 50%;
transform: rotate(90deg) scale(0.7);
transform-origin: left center;
}
.vk-prod-thumbs.swiper-vertical .swiper-button-prev {
top: calc(var(--swiper-navigation-size) / 2);
background-color: #ff8e8e44;
height:140px;
padding: 0 6px;
top: -48px;
transition:all 0.1s ease-in-out;
}
.vk-prod-thumbs.swiper-vertical:hover .swiper-button-prev:not(.swiper-button-disabled):hover,
.vk-prod-thumbs.swiper-vertical:hover .swiper-button-next:not(.swiper-button-disabled):hover {
background-color: var(--vk-prod-swiper-nav-bg-hover);
}

.vk-prod-thumbs.swiper-vertical .swiper-button-prev.swiper-button-disabled,
.vk-prod-thumbs.swiper-vertical .swiper-button-next.swiper-button-disabled {
color:gray;
background-color:#9797977a;
}

.vk-prod-thumbs.swiper-vertical .swiper-button-next.swiper-button-disabled::before, 
.vk-prod-thumbs.swiper-vertical .swiper-button-prev.swiper-button-disabled::before {
content:' ';
position:absolute;
top:0;
bottom:0;
left:0;
right:0;
z-index:15;
pointer-events: auto;
background-color:transparent;
}

.vk-prod-thumbs.swiper-vertical .swiper-button-next {
top: auto;
bottom: calc(var(--swiper-navigation-size) / 2);
background-color: #ff8e8e44;
padding: 0 6px;
height: 140px;
bottom: -42px;
transition:all 0.1s ease-in-out;
}
*/
/*.vk-prod-thumbs.swiper-vertical:hover .swiper-button-next {
bottom: -19px;
opacity:1;
}*/


.unselectable {
	-webkit-user-select: none; /* Safari */
	-moz-user-select: none;    /* Firefox */
	-ms-user-select: none;     /* IE 10+ */
	user-select: none;         /* Standard syntax */
}
.vk-gallery-video {
	width:fit-content;
	margin:0 auto;
}
.notransition {
	-webkit-transition: none !important;
	-moz-transition: none !important;
	-o-transition: none !important;
	transition: none !important;
}

.vk-gallery-video .tf_w.tf_vd_lazy video {
	object-fit:contain;
	width: revert-layer;
	height: revert-layer;
}
.plyr > button.plyr__control {
	transition: all .3s ease;
}
.plyr > button.plyr__control:hover {
	transform: translate(-50%, -50%);
	margin-top:-1px;
}
.playing .play.big_btn {
	pointer-events:none;
}
/*
.vk-gallery-video button.play {
pointer-events:none;
}
.vk-gallery-video .tf_vd_root::part(playing big_btn) {
pointer-events:none;
}*/


@media screen and (max-width: 1000px) {
	.woocommerce #content div.product div.summary, .woocommerce div.product div.summary, .woocommerce-page #content div.product div.summary, .woocommerce-page div.product div.summary {
		padding-left: 0;
		width:100%;
	}
	.product .rm-product-data-wrapper .features .col {
		margin-right:0;
		width:100%;
	}
	.rm-product-data-wrapper .features .label {
		width:50%;
	}
	.vk-prod-images .swiper-button-next {
		right: var(--swiper-navigation-sides-offset, 10px);
		opacity:1;
	}
	.vk-prod-images .swiper-button-prev {
		left: var(--swiper-navigation-sides-offset, 10px);
		opacity:1;
	}
}	
@media screen and (max-width: 650px) {
	.vk-prod-thumbs {
		display:none;
	}
	.vk-products-gallery {
		width:100%;
	}
	.vk-prod-images {
		width: calc(100vw - 40px);
		margin-left:0;
	}
	.vk-prod-images .swiper-slide a img {
		padding:0 !important;
		object-fit:contain;
		width:100%;
		height:100%;
	}
}
@media screen and (max-width: 450px) {
	.vk-products-gallery {
		width:100%;
		height:500px;
	}
}
